Skip to main content

Get a resident payment by ID

GEThttps://api.propexo.com/v1/resident-payments/:resident_payment_id

The Resident Payments model provides a limited, one-sided view of a resident's financial history with a PMC and should not be treated as a comprehensive report of all payments that the resident has made. Due to the PMS API structure, this is a naturally high-volume endpoint. Since Propexo pricing is based on records returned, this may result in signficantly higher overall costs. We encourage you to reach out to support before activating.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

resident_payment_id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the resident payment

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    MethodInterface
    GET /api/manager/accounting/leases/payments/{paymentID}Accounting
    GET /api/manager/accounting/transactions/{transactionID}Transactions
    GET /api/manager/accounting/transactions/searchTransactions
    Example: 177
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    MethodInterface
    GET /api/manager/accounting/leases/payments/{paymentID}Accounting
    GET /api/manager/accounting/transactions/{transactionID}Transactions
    GET /api/manager/accounting/transactions/searchTransactions
    Example: 65
    x_gl_account_idstring | nullnullablerequired

    The external ID of the general ledger account from the integration vendor

    Important

    Hydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.

    MethodInterface
    GET /api/manager/accounting/leases/payments/{paymentID}Accounting
    GET /api/manager/accounting/transactions/{transactionID}Transactions
    Example: 127
    x_location_idnullrequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Notice

    This field will always be null for RENTVINE

    Example: null
    x_lease_idstring | nullnullablerequired

    The external ID of the lease from the integration vendor

    Important

    Hydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.

    MethodInterface
    GET /api/manager/accounting/leases/payments/{paymentID}Accounting
    GET /api/manager/accounting/transactions/{transactionID}Transactions
    Example: 76
    x_resident_idstring | nullnullablerequired

    The external ID of the resident from the integration vendor

    Important

    Hydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.

    InterfaceMethod
    TransactionsGET /api/manager/accounting/transactions/{transactionID}
    Example: 3301-2201
    x_unit_idstring | nullnullablerequired

    The external ID of the unit from the integration vendor

    MethodInterface
    GET /api/manager/accounting/leases/payments/{paymentID}Accounting
    GET /api/manager/accounting/transactions/searchTransactions
    Example: 42
    x_charge_code_idnullrequired

    The external ID of the charge code from the integration vendor

    Notice

    This field will always be null for RENTVINE

    Example: null
    payment_method_normalizednullrequired

    The normalized method of payment for the resident payment

    Notice

    This field will always be null for RENTVINE

    Example: null
    payment_method_rawnullrequired

    The raw method of payment for the resident payment

    Notice

    This field will always be null for RENTVINE

    Example: null
    amount_in_centsnumber | nullnullablerequired

    The amount of the resident payment, in cents

    MethodInterface
    GET /api/manager/accounting/leases/payments/{paymentID}Accounting
    GET /api/manager/accounting/transactions/searchTransactions
    Example: -4567
    amount_rawstring | nullnullablerequired

    The raw value for amount from the PMS

    MethodInterface
    GET /api/manager/accounting/leases/payments/{paymentID}Accounting
    GET /api/manager/accounting/transactions/searchTransactions
    Example: 45.67
    namestring | nullnullablerequired

    The name associated with the resident payment

    InterfaceMethod
    TransactionsGET /api/manager/accounting/transactions/search
    Example: Rent Payment
    descriptionstring | nullnullablerequired

    Description of the resident payment

    MethodInterface
    GET /api/manager/accounting/leases/payments/{paymentID}Accounting
    Example: a test description
    reference_numberstring | nullnullablerequired

    The reference number for the resident payment

    MethodInterface
    GET /api/manager/accounting/leases/payments/{paymentID}Accounting
    GET /api/manager/accounting/transactions/searchTransactions
    Example: 123456
    transaction_datestring | nullnullablerequired

    The transaction date of the resident payment

    MethodInterface
    GET /api/manager/accounting/leases/payments/{paymentID}Accounting
    GET /api/manager/accounting/transactions/searchTransactions
    Example: 2024-01-01T00:00:00.000Z
    is_opennullrequired

    Whether the resident payment is open and not yet settled

    Notice

    This field will always be null for RENTVINE

    Example: null
    post_monthnullrequired

    The post month for the resident payment

    Notice

    This field will always be null for RENTVINE

    Example: null
    custom_data object | nullrequired
    object
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum22required

    The property management system of record

    Show 13 enum values
    RENTVINEAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRESMANYARDIYARDI_REST
    Example: RENTVINE
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    resident_idstring | nullnullablerequired

    The Propexo unique identifier for the resident

    Important

    Hydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.

    InterfaceMethod
    TransactionsGET /api/manager/accounting/transactions/{transactionID}
    Example: cmafjtnbs7137671404n5hx1e17nvrw4
    financial_account_idstring | nullnullablerequired

    The Propexo unique identifier for the financial account

    Important

    Hydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.

    InterfaceMethod
    TransactionsGET /api/manager/accounting/transactions/{transactionID}
    Example: cm0finax00008rv0za63zbjzp
    unit_idstring | nullnullablerequired

    The Propexo unique identifier for the unit

    InterfaceMethod
    TransactionsGET /api/manager/accounting/transactions/search
    Example: cm0unitx00008rv0za63zbjzp
    lease_idstring | nullnullablerequired

    The Propexo unique identifier for the lease

    Important

    Hydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.

    InterfaceMethod
    TransactionsGET /api/manager/accounting/transactions/{transactionID}
    Example: cmafjtnbs71376715461q85x9l18cutc1
    charge_code_idnullrequired

    The Propexo unique identifier for the charge code

    Notice

    This field will always be null for RENTVINE

    Example: null
    allocations object[]required

    Array of payment allocations, splits, and related transactions associated with the resident payment

  • Array [
  • idstringrequired

    The Propexo unique identifier for the resident allocation

    Example: clwktsp9v000008l31iv218hn
    x_idstringrequired

    The external ID from the integration vendor

    x_source_idstring | nullnullablerequired

    The external ID of the source transaction from the integration vendor

    Notice

    This field is not currently hydrated for RENTVINE

    x_destination_idstring | nullnullablerequired

    The external ID of the destination transaction from the integration vendor

    Notice

    This field is not currently hydrated for RENTVINE

    financial_account_idstring | nullnullablerequired

    The Propexo unique identifier for the financial account

    Notice

    This field is not currently hydrated for RENTVINE

    amount_in_centsnumber | nullnullablerequired

    The amount of the resident allocation, in cents

    Notice

    This field is not currently hydrated for RENTVINE

    Example: 325000
    amount_rawstring | nullnullablerequired

    The raw value for amount from the PMS

    Notice

    This field is not currently hydrated for RENTVINE

    resident_charge_idstring | nullnullablerequired

    The Propexo unique identifier for the resident charge

    Notice

    This field is not currently hydrated for RENTVINE

    resident_payment_idstring | nullnullablerequired

    The Propexo unique identifier for the resident payment

    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    custom_data object | nullrequired
    object
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/resident-payments/:resident_payment_id
curl https://api.propexo.com/v1/resident-payments/:resident_payment_id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "177",
"x_property_id": "65",
"x_gl_account_id": "127",
"x_location_id": null,
"x_lease_id": "76",
"x_resident_id": "3301-2201",
"x_unit_id": "42",
"x_charge_code_id": null,
"payment_method_normalized": null,
"payment_method_raw": null,
"amount_in_cents": -4567,
"amount_raw": "45.67",
"name": "Rent Payment",
"description": "a test description",
"reference_number": "123456",
"transaction_date": "2024-01-01T00:00:00.000Z",
"is_open": null,
"post_month": null,
"custom_data": "Unknown Type: object,null",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "RENTVINE",
"property_id": "clwi5xiix000008l6ctdgafyh",
"resident_id": "cmafjtnbs7137671404n5hx1e17nvrw4",
"financial_account_id": "cm0finax00008rv0za63zbjzp",
"unit_id": "cm0unitx00008rv0za63zbjzp",
"lease_id": "cmafjtnbs71376715461q85x9l18cutc1",
"charge_code_id": null,
"allocations": [
{
"id": "clwktsp9v000008l31iv218hn",
"x_id": "string",
"x_source_id": "string",
"x_destination_id": "string",
"financial_account_id": "string",
"amount_in_cents": 325000,
"amount_raw": "string",
"resident_charge_id": "string",
"resident_payment_id": "string",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"custom_data": "Unknown Type: object,null"
}
]
}
}